Bug 31807 - intermittent access failure on smbfs file system
Summary: intermittent access failure on smbfs file system
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-14 22:20 UTC by Phil Schaffner
Modified: 2007-04-18 16:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-18 14:19:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Phil Schaffner 2001-03-14 22:20:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.1-0.1.9 i686)


Windows Me share mounted with smbfs fails with "No such file or
directory" error on files that exist. Doing an "ls" on a directory
may work one time and fail the next.

Reproducible: Always
Steps to Reproduce:
1. Mount Windoze Me share with smbfs
2. Test access by attempting to copy a large directory
3. Try other commands such as "ls"
	

Actual Results:  Intermittent failures as described above.

Expected Results:  Works fine under 7.0

Killed by backup strategy.

Comment 1 Arjan van de Ven 2001-03-15 09:38:26 UTC
" Linux 2.4.1-0.1.9 "
Can you verify with a more recent kernel as put in rawhide ?
Several changes to smbfs have been made in between, so I want to make sure
it's either a separate issue or already fixed.

Comment 2 Need Real Name 2001-07-18 14:19:24 UTC
Here's a partial solution.  I haven't tested it though.
http://samba.cadcamlab.org/lists/samba/Mar2001/00103.html


Note You need to log in before you can comment on or make changes to this bug.